Rekamedika Docs
Passkey

GET /passkey/generate-register-options

GET
/api/auth/passkey/generate-register-options

Generate registration options for a new passkey

Query Parameters

authenticatorAttachment?string

Value in

  • "platform"
  • "cross-platform"
name?string
context?string

Response Body

application/json

curl -X GET "https://example.com/api/auth/passkey/generate-register-options"
{  "challenge": "string",  "rp": {    "name": "string",    "id": "string"  },  "user": {    "id": "string",    "name": "string",    "displayName": "string"  },  "pubKeyCredParams": [    {      "type": "string",      "alg": 0    }  ],  "timeout": 0,  "excludeCredentials": [    {      "id": "string",      "type": "string",      "transports": [        "string"      ]    }  ],  "authenticatorSelection": {    "authenticatorAttachment": "string",    "requireResidentKey": true,    "userVerification": "string"  },  "attestation": "string",  "extensions": {}}

Is this page helpful?